%define PROGNAME OpenVAS-Client
%define _prefix /usr

Summary: OpenVAS-Client, a GTK GUI for the OpenVAS Network Security Scanner
Name:    openvas-client
Version: 2.0.0.beta1
Release: 1.art
Source0: openvas-client-%{version}.tar.gz
License: GNU GPLv2 
Group: Productivity/Networking/Security
Vendor: OpenVAS Development Team, http://www.openvas.org 
Packager:       Scott R. Shinn <scott@atomicrocketturtle.com>
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}
URL: http://www.openvas.org
Requires: openssl gtk2
BuildRequires: openssl-devel gtk2-devel gettext-devel gcc-c++

%description
A GTK+ GUI for the OpenVAS Network Vulnerability Scanner.
Includes SLADinstaller, a GUI for remotely
installing SLAD.

%prep
%setup -b 0

%build
%configure --prefix=%{_prefix}
make
cd po
make

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
cp src/xpm/OpenVAS-logo.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/OpenVAS-Client.xpm
mkdir -p $RPM_BUILD_ROOT/usr/share/applications/
cp nessus/OpenVAS-Client.desktop $RPM_BUILD_ROOT/usr/share/applications
cd po
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/%{PROGNAME}
%{_bindir}/openvasclient-mkcert
#%{_bindir}/openvasclient-mkrand
%{_mandir}/man1/%{PROGNAME}.1*
%{_mandir}/man1/openvasclient-mkcert.1*
%{_mandir}/man1/openvasclient-mkrand.1*
%{_datadir}/applications/%{PROGNAME}.desktop
%{_datadir}/pixmaps/%{PROGNAME}.xpm
%{_datadir}/locale/*/LC_MESSAGES/%{PROGNAME}.mo

%changelog
* Thu Nov 6 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 2.0.0.beta1-1
- update to 2.0.0.beta1

* Fri Apr 18 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  - Adapated for Fedora 8 (naming)
  - %post and %postrun removed
* Tue Apr 15 2008 Jan-Oliver Wagner <ja-oliver.wagnern@intevation.de>
  Initial version for OpenSUSE 10.2
